summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test75.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tclap-1.2.1/tests/test75.sh')
-rw-r--r--tclap-1.2.1/tests/test75.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test75.sh b/tclap-1.2.1/tests/test75.sh
new file mode 100644
index 0000000..99bba2c
--- /dev/null
+++ b/tclap-1.2.1/tests/test75.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# failure validates that the correct error message
+# is displayed for XOR'd args
+../examples/test20 -b -a > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test75.out; then
+ exit 0
+else
+ exit 1
+fi
+